ThreeB 1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
NullGraphics Class Reference
Storm classes

Graphics class which does absoloutely nothing. More...

Inheritance diagram for NullGraphics:

List of all members.

## Public Member Functions
virtual void | init (CVD::ImageRef)
virtual void | draw_krap (const std::vector< TooN::Vector< 4 > > &, const CVD::Image< CVD::byte > &, const BBox &, int, TooN::Vector< 4 >)
virtual void | swap ()
virtual void | draw_pixels (const std::vector< CVD::ImageRef > &, float, float, float, float)
virtual void | draw_bbox (const BBox &)
virtual void | glDrawCross (const TooN::Vector< 2 > &, int)
virtual | ~NullGraphics ()

## Detailed Description

Graphics class which does absoloutely nothing.

Definition at line 94 of file multispot5.cc.

## Constructor & Destructor Documentation

virtual NullGraphics::~NullGraphics | ( |  | ) | `[inline, virtual]`

Definition at line 103 of file multispot5.cc.

    {}

## Member Function Documentation

virtual void NullGraphics::init | ( | CVD::ImageRef | size | ) | `[inline, virtual]`

Initialize graphics.

Parameters:

  size | Size of window for display

Implements FitSpotsGraphics.

Definition at line 97 of file multispot5.cc.

    {}

virtual void NullGraphics::draw_krap | ( | const std::vector< TooN::Vector< 4 > > & | spots,
|  | const CVD::Image< CVD::byte > & | im,
|  | const BBox & | box,
|  | int | N,
|  | TooN::Vector< 4 > | s
| ) |  | `[inline, virtual]`

Draw a bunch of stuff.

Parameters:

  spots | List of spots to draw
  im | Background image
  box | Bounding box of region
  N | Spot to highlight
  s | Extra spot to draw as a cross

Implements FitSpotsGraphics.

Definition at line 98 of file multispot5.cc.

    {}

virtual void NullGraphics::swap | ( |  | ) | `[inline, virtual]`

Swap buffers if double buffered.

Implements FitSpotsGraphics.

Definition at line 99 of file multispot5.cc.

    {}

virtual void NullGraphics::draw_pixels | ( | const std::vector< CVD::ImageRef > & | pix,
|  | float | r,
|  | float | g,
|  | float | b,
|  | float | a
| ) |  | `[inline, virtual]`

Draw the pixel mask in an (r,g,b,a) tuple colour.

Parameters:

  pix | mask
  r | red
  g | green
  b | blue
  a | alpha

Implements FitSpotsGraphics.

Definition at line 100 of file multispot5.cc.

    {}

virtual void NullGraphics::draw_bbox | ( | const BBox & | bbox | ) | `[inline, virtual]`

Draw a bounding box.

Parameters:

  bbox | Box corners

Implements FitSpotsGraphics.

Definition at line 101 of file multispot5.cc.

    {}

virtual void NullGraphics::glDrawCross | ( | const TooN::Vector< 2 > & | p,
|  | int | size
| ) |  | `[inline, virtual]`

Draw a cross.

Parameters:

  p | Position of cross
  size | Size to draw cross

Implements FitSpotsGraphics.

Definition at line 102 of file multispot5.cc.

    {}

The documentation for this class was generated from the following file:

- multispot5.cc